#!/bin/sh

set -e

case "$1" in
    configure)
        id -g _gophernicus > /dev/null 2>&1 || \
            addgroup --system --force-badname _gophernicus
	id _gophernicus > /dev/null 2>&1 || \
            adduser --system --home /nonexistent \
                    --no-create-home --disabled-password \
                    --gecos "gophernicus daemon" \
                    --force-badname \
                    --ingroup _gophernicus _gophernicus
	if command -v update-inetd > /dev/null; then
	    update-inetd --group STANDARD --add \
		"#<off># gopher\tstream\ttcp\tnowait\t_gophernicus\t/usr/sbin/gophernicus\tgophernicus"
	fi
    ;;

    abort-upgrade|abort-remove|abort-deconfigure|reconfigure)
    ;;

    *)
        echo "postinst called with unknown argument \`$1'" >&2
        exit 1
    ;;
esac

#DEBHELPER#

exit 0
